Yelp
Yelp: Reviews
Reviews from Yelp. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
yelp
/
reviews
Reviews
curl --request GET \
--url https://api.perceptlayer.com/v1/yelp/reviews \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/yelp/reviews"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/yelp/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/yelp/reviews';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/yelp/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/yelp/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/yelp/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/yelp/reviews")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "yelp.reviews",
"params": {
"business": "gary-danko-san-francisco",
"sort": "newest"
},
"response": {
"success": true,
"data": {
"business": {
"encid": "WavvLdfdP6g8aZTtbBQHTw",
"alias": "gary-danko-san-francisco",
"name": "Gary Danko",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco"
},
"review_count": 6149,
"total": 6150,
"reviews": [
{
"id": "4qYbbI9JbtCDUOtQRcJfDA",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco?hrid=4qYbbI9JbtCDUOtQRcJfDA",
"rating": 5,
"text": "The staff is top notch.\nI really like the way their menu works, where you can pick any 3, 4, or 5 courses, fixed price. The cheese cart is ah-mazing, and really, only one person at the table needs to order it, for sharing. (depending on yo…",
"language": "en",
"created_at": "2026-10-22T21:21:22Z",
"author": {
"id": "-3i9bhfvrM3F1wsC9XIB8g",
"name": "Linda M.",
"location": "Hayward, CA",
"url": "https://www.yelp.com/user_details?userid=-3i9bhfvrM3F1wsC9XIB8g",
"review_count": 865,
"friend_count": 519
}
},
{
"id": "4O8qwZF2l2mprg3FQzWgTw",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco?hrid=4O8qwZF2l2mprg3FQzWgTw",
"rating": 5,
"text": "Last night I had one of the best meals of my life here. I had four courses. Risotto, lobster, filet, and the souffle. My sister opted for five courses. She had all the same dishes that I ordered. For her extra course, she got the buttercake…",
"language": "en",
"created_at": "2026-10-19T17:51:23Z",
"author": {
"id": "OrTaTQaQSNDPCBQk8PhtIg",
"name": "terri l.",
"location": "Fullerton, CA",
"url": "https://www.yelp.com/user_details?userid=OrTaTQaQSNDPCBQk8PhtIg",
"review_count": 89,
"friend_count": 5
},
"helpful_count": 1,
"photos": [
"https://s3-media0.fl.yelpcdn.com/bphoto/EbhMoz6JQkscGoMgfwV5qQ/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/V2k897x9HDskZEb5DUJjCw/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/QP_WCNoKnsCapoO5jJCHjg/o.jpg"
]
},
{
"id": "uP7LSWnXOFDQZs4uSMry4A",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco?hrid=uP7LSWnXOFDQZs4uSMry4A",
"rating": 5,
"text": "The Fleet Week Weekend San Francisco Edition:\n\nIt seems San Francisco has a reputation of having lots of good dining institutions which makes the city a star in cuisine. There are also those who built the reputation of San Francisco's dinin…",
"language": "en",
"created_at": "2026-10-11T15:39:21Z",
"author": {
"id": "QbHmGJVS_Ztw5YtpCl3p6A",
"name": "Juan V.",
"location": "San Francisco, CA",
"url": "https://www.yelp.com/user_details?userid=QbHmGJVS_Ztw5YtpCl3p6A",
"review_count": 2039,
"friend_count": 5000
},
"helpful_count": 13,
"thanks_count": 5,
"love_this_count": 9,
"oh_no_count": 1,
"photos": [
"https://s3-media0.fl.yelpcdn.com/bphoto/HyRE7wLRiyc9LWh_2r0_lA/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/X2esW98uWbdrLTLHzSZNvg/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/uXh7UNh4LTfa4kXZRiCYUQ/o.jpg"
]
}
],
"has_more": true,
"next_after": "eyJ2ZXJzaW9uIjoxLCJ0eXBlIjoib2Zmc2V0Iiwib2Zmc2V0Ijo5fQ"
},
"meta": {
"endpoint_family": "business_reviews",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Yelp API overview for every Yelp endpoint.
Authorizations
Query Parameters
Maximum string length:
160Available options:
relevance, newest, oldest, highest, lowest, elite Maximum string length:
200Was this page helpful?
⌘I
Reviews
curl --request GET \
--url https://api.perceptlayer.com/v1/yelp/reviews \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/yelp/reviews"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/yelp/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/yelp/reviews';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/yelp/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/yelp/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/yelp/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/yelp/reviews")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "yelp.reviews",
"params": {
"business": "gary-danko-san-francisco",
"sort": "newest"
},
"response": {
"success": true,
"data": {
"business": {
"encid": "WavvLdfdP6g8aZTtbBQHTw",
"alias": "gary-danko-san-francisco",
"name": "Gary Danko",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco"
},
"review_count": 6149,
"total": 6150,
"reviews": [
{
"id": "4qYbbI9JbtCDUOtQRcJfDA",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco?hrid=4qYbbI9JbtCDUOtQRcJfDA",
"rating": 5,
"text": "The staff is top notch.\nI really like the way their menu works, where you can pick any 3, 4, or 5 courses, fixed price. The cheese cart is ah-mazing, and really, only one person at the table needs to order it, for sharing. (depending on yo…",
"language": "en",
"created_at": "2026-10-22T21:21:22Z",
"author": {
"id": "-3i9bhfvrM3F1wsC9XIB8g",
"name": "Linda M.",
"location": "Hayward, CA",
"url": "https://www.yelp.com/user_details?userid=-3i9bhfvrM3F1wsC9XIB8g",
"review_count": 865,
"friend_count": 519
}
},
{
"id": "4O8qwZF2l2mprg3FQzWgTw",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco?hrid=4O8qwZF2l2mprg3FQzWgTw",
"rating": 5,
"text": "Last night I had one of the best meals of my life here. I had four courses. Risotto, lobster, filet, and the souffle. My sister opted for five courses. She had all the same dishes that I ordered. For her extra course, she got the buttercake…",
"language": "en",
"created_at": "2026-10-19T17:51:23Z",
"author": {
"id": "OrTaTQaQSNDPCBQk8PhtIg",
"name": "terri l.",
"location": "Fullerton, CA",
"url": "https://www.yelp.com/user_details?userid=OrTaTQaQSNDPCBQk8PhtIg",
"review_count": 89,
"friend_count": 5
},
"helpful_count": 1,
"photos": [
"https://s3-media0.fl.yelpcdn.com/bphoto/EbhMoz6JQkscGoMgfwV5qQ/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/V2k897x9HDskZEb5DUJjCw/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/QP_WCNoKnsCapoO5jJCHjg/o.jpg"
]
},
{
"id": "uP7LSWnXOFDQZs4uSMry4A",
"url": "https://www.yelp.com/biz/gary-danko-san-francisco?hrid=uP7LSWnXOFDQZs4uSMry4A",
"rating": 5,
"text": "The Fleet Week Weekend San Francisco Edition:\n\nIt seems San Francisco has a reputation of having lots of good dining institutions which makes the city a star in cuisine. There are also those who built the reputation of San Francisco's dinin…",
"language": "en",
"created_at": "2026-10-11T15:39:21Z",
"author": {
"id": "QbHmGJVS_Ztw5YtpCl3p6A",
"name": "Juan V.",
"location": "San Francisco, CA",
"url": "https://www.yelp.com/user_details?userid=QbHmGJVS_Ztw5YtpCl3p6A",
"review_count": 2039,
"friend_count": 5000
},
"helpful_count": 13,
"thanks_count": 5,
"love_this_count": 9,
"oh_no_count": 1,
"photos": [
"https://s3-media0.fl.yelpcdn.com/bphoto/HyRE7wLRiyc9LWh_2r0_lA/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/X2esW98uWbdrLTLHzSZNvg/o.jpg",
"https://s3-media0.fl.yelpcdn.com/bphoto/uXh7UNh4LTfa4kXZRiCYUQ/o.jpg"
]
}
],
"has_more": true,
"next_after": "eyJ2ZXJzaW9uIjoxLCJ0eXBlIjoib2Zmc2V0Iiwib2Zmc2V0Ijo5fQ"
},
"meta": {
"endpoint_family": "business_reviews",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}